server:
  port: 9012
  servlet:
    encoding:
      charset: UTF-8
      enabled: true
      force: true

spring:
  application:
    name: langchain4j-ai-mcp

langchain4j:
  community:
    dashscope:
      streaming-chat-model:
        api-key: ${DASH_SCOPE_API_KEY}
        model-name: qwen-plus
      chat-model:
        api-key: ${DASH_SCOPE_API_KEY}
        model-name: qwen-plus

# 只有日志级别调整为debug级别，同时配置以上 langchain 日志输出开关才有效
logging:
  level:
    dev:
      langchain4j: DEBUG